@import "rsuite/dist/rsuite.css";
@import "~@fullcalendar/common/main.css";

* {
  font-family: "PT Sans", sans-serif;
}

/* Стили скопированы с alert-ов сайта расписания для единообразия */
.schedule_selector_attention > .rs-panel-header {
  background: #fff6ee;
  color: #faa05a;
}

.button_desk {
  border: 1px solid #d9d9d9;
  background-color: #f0f0f0;
  margin: 2px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.notification {
  margin: 15px;
}

.iconButton_popover_close {
  padding-left: 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.tag_popover_dropdown_item {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
}

.class_Notification {
  height: 90vh;
  border: 3px solid #d9d9d9;
  padding-top: 10px;
}

.class_Notification_Header {
  position: sticky;
  top: 0;
}

.rs-notification-content .rs-btn-close {
  font-size: 30px;
}

.rs-notification-content {
  padding: 0px;
}

.rs-notification .rs-btn-close {
  margin: 6px 10px 10px 10px;
}

.rs-notification .rs-btn-close .rs-icon {
  width: 20px;
  height: 20px;
}

.rs-notification .rs-btn-close .rs-icon {
  width: 20px;
  height: 20px;
}

.rs-calendar-panel.rs-calendar-compact
  .rs-calendar-table-row:not(.rs-calendar-table-header-row)
  .rs-calendar-table-cell-content {
  height: 68px;
}

.rs-popover-title {
  font-size: 12.5px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.rs-popover {
  max-width: 80vw;
}

/* rsuite */
/* календарь может занимать всё место, так как его и так отбивает внутрь остальной контент */
.rs-calendar {
  padding: 0;
}

.rs-calendar-body {
  padding: 0;
}

/* Выбор месяца и переключение между ними - в центр */
.rs-calendar-panel .rs-calendar-header {
  display: flex;
  justify-content: center;
}

/* Кнопка "сегодня" не используется */
.rs-calendar-panel .rs-calendar-header .rs-calendar-btn-today {
  display: none;
}

/* Уменьшение паддинга, чтобы влезли теги */
.rs-drawer-header {
  padding: 8px;
}

/* Закрытие происходит по клику вне панели или свайпом */
.rs-drawer-header .rs-drawer-header-close {
  display: none;
}

/* fullcalendar */

/* календарь отрисовывает ссылку, нам это не нужно */
.fc-col-header-cell-cushion {
  color: var(--rs-text-primary);
}

.fc-col-header-cell-cushion:hover {
  text-decoration: none;
  color: var(--rs-text-primary);
}

/* Сокрытие невидимого тулбара */
.fc-header-toolbar {
  display: none !important;
}

.fc .fc-timegrid-slot-minor {
  border-top: none;
}

/* Убирается желтый фон с отображения событий на весь день */
.fc-daygrid-day-frame {
  background-color: var(--rs-body);
}
/* Убирается отступ событий на весь день */
.fc-daygrid-day-events {
  margin-bottom: 0.2em !important;
}

@media (max-width: 768px) {
  .rs-drawer-body {
    padding: 0px;
  }

  .class_Notification {
    height: 70vh;
    margin: 5px;
  }
}
